routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Config;
use App\Http\Controllers\bookController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\transactionsController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
});
Route::resource('booking', 'bookController');
Route::resource('users', 'UserController');
Route::delete('/destroy/all','bookController@multi_delete');
Route::delete('/destroy/all/users','UserController@multi_delete');

//Auth::routes();

Auth::routes([
    'register' => false, // Registration Routes...
    'reset' => false, // Password Reset Routes...
    'verify' => false, // Email Verification Routes...
  ]);

Route::get('profile', 'ChangePasswordController@index');
Route::post('profile', 'ChangePasswordController@store')->name('change.password');

Route::get('/status-update/{id}','UserController@status_update');
Route::any('transaction/create', 'transactionsController@create')->name('create/transaction');


Route::get('/pay/', function(){

        $books = App\Models\book::get();
        foreach ($books as $book){
            if($book->status =2){
                $user_id = $book->user_id;
                $transaction = $book->transaction;
                $users= App\Models\User::where('id',$user_id)->with('transactions')->first();
                foreach($users->transactions as $price){
                    if($price->id == $transaction){
                        $amount = $price->pivot->value;
                        App\Models\User::where('id',$user_id)->decrement('credit', $amount);
                    }
                }
            }
        }
});

resources/views/btns/action.blade.php
<div style="text-align: center">
    <a href="{{ url('/booking/' . $id . '/edit') }}" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>

    <!-- Trigger the modal with a button -->
    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal"
        data-target="#del_admin{{ $id }}"><i class="fa fa-trash"></i></button>

    <!-- Modal -->
    <div class="example-modal">
        <div id="del_admin{{ $id }}" class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">
                            {{ __('messages.delete') }}
                        </h4>
                    </div>
                    <form action="{{ route('booking.destroy', $id) }}" method="POST">
                        <div class="modal-body">
                            <h4>{{ __('messages.delete_this', ['name' => $firstname]) }}</h4>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-outline pull-left"
                                data-dismiss="modal">{{ __('messages.close') }}</button>
                            @csrf
                            @method('DELETE')
                            <button type="submit"
                                class="btn btn-outline pull-left">{{ __('messages.delete') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

resources/views/btns/action_user.blade.php
<div style="text-align: center">
    <a href="{{ url('/users/' . $id . '/edit') }}" class="btn btn-primary btn-sm"><abbr title="تعديل"><i
                class="fa fa-edit"></i></a></abbr>

    <!-- Trigger the modal with a button -->
    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal"
        data-target="#del_admin{{ $id }}"><abbr title="حذف"><i class="fa fa-trash"></i></button></abbr>

    @if ($status == 1 && $is_admin == '1')
        <abbr title="حذف"><button type="button" class="btn btn-warning btn-sm" data-toggle="modal"
                data-target="#ban_user{{ $id }}" disabled><i class="fa fa-ban"></i></button></abbr>
    @elseif( $status == 1)
        <abbr title="حظر"><button type="button" class="btn btn-warning btn-sm" data-toggle="modal"
                data-target="#ban_user{{ $id }}"><i class="fa fa-ban"></i></button></abbr>
    @else
        <abbr title="الغاءالحظر"><button type="button" class="btn btn-warning btn-sm" data-toggle="modal"
                data-target="#ban_user{{ $id }}"><i class="fa fa-unlock"></i></button></abbr>
    @endif

    <!-- Modal -->
    <div class="example-modal">
        <div id="del_admin{{ $id }}" class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">
                            {{ __('messages.delete') }}
                        </h4>
                    </div>
                    <form action="{{ route('users.destroy', $id) }}" method="POST">
                        <div class="modal-body">
                            <h4>{{ __('messages.delete_user', ['name' => $name]) }}</h4>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-outline pull-left"
                                data-dismiss="modal">{{ __('messages.close') }}</button>
                            @csrf
                            @method('DELETE')
                            <button type="submit"
                                class="btn btn-outline pull-left">{{ __('messages.delete') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div>
    <div class="example-modal">
        <div id="ban_user{{ $id }}" class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">
                            {{ __('messages.user-status') }}
                        </h4>
                    </div>
                    <form action="{{ url('status-update', $id) }}" method="get">
                        <div class="modal-body">
                            @if ($status == 1)
                                <h4>{{ __('messages.ban_this', ['name' => $name]) }}</h4>
                            @else
                                <h4>{{ __('messages.unban_this', ['name' => $name]) }}</h4>
                            @endif
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-outline pull-left"
                                data-dismiss="modal">{{ __('messages.close') }}</button>
                            <button type="submit" class="btn btn-outline pull-left">{{ __('messages.ok') }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

resources/views/btns/checkbox.blade.php
<input type="checkbox" name="item[]" class="item_checkbox" value="{{ $id }}">